Bug 12767 - tcl source command tries to open ro files rw
tcl source command tries to open ro files rw
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-20 17:30 EDT by lambertpf
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 21:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lambertpf 2000-06-20 17:30:04 EDT
printtool tries to open /usr/lib/rhs/control-panel/printtool.warn R/W.
/usr is supposed to be able to be mounted RO.
Comment 1 Nalin Dahyabhai 2000-07-10 15:25:44 EDT
Changed to component "tcltk", which appears to implement the
"source" command this way.
Comment 2 Bill Huang 2002-05-29 05:36:41 EDT
what's the version of tcltk you used?
Comment 3 Jens Petersen 2002-12-10 01:30:54 EST
printtool is now glade/gtk based.

Changing summary from "printtool tries to open
/usr/lib/rhs/control-panel/printtool.warn"
to describe tcl problem instead.

Comment 4 Jens Petersen 2004-02-26 03:14:34 EST
Still happening with current tcl?

If so, a little script to reproduce this, would help.

Note You need to log in before you can comment on or make changes to this bug.